IM_THRESH(3X)

NAME
im_thresh, im_slice - threshold an image

SYNOPSIS
#include <vips/vips.h> int im_thresh(in, out, threshold)
IMAGE *in, *out;
double threshold; int im_slice(in, out, threshold1, threshold2)
IMAGE *in, *out;
double threshold1, threshold2;

DESCRIPTION
These functions have been replaced with the relational and boolean packages - see im_lessconst() and im_and() for much better ways of doing this. These functions operate on any non-complex input. The output image is a unsigned char image with the same sizes and the same number of channels as input. im_slice() thresholds the image held by image descriptor in and writes the result on the image descriptor out. Output is a byte image with values less than threshold1) set to 0, values in [threshold1, threshold2) set to 128 and values greater than threshold2 set to 255 (x in range [a,b) means a<=x<b). im_threshold() thresholds the image held by image descriptor in and writes the result on the image descriptor out. Output is a byte image with values less than threshold set to 0, and values greater or equal to threshold set to 255.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_dilate(3X), im_erode(3X), im_lessconst(3), im_and(3).

COPYRIGHT
N. Dessipris,

AUTHOR
N. Dessipris - 26/04/1991